Skip to main content
PUT

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentKey
string
required

The environment identifier, e.g. 'production'.

namespaceKey
string
required

The namespace key for which to list resources, e.g. 'default'.

Body

application/json

The request message for creating or updating a resource.

environmentKey
string

The environment identifier, e.g. 'production'.

namespaceKey
string

The namespace key for which to list resources, e.g. 'default'.

key
string

The resource key.

payload
object

The arbitrary typed resource payload (e.g. flipt.core.Flag, flipt.core.Segment). {"@type": "flipt.core.Flag", "key": "my_flag"}

revision
string

The resource revision for optimistic concurrency.

Response

200 - application/json

OK

The response message for getting a resource.

resource
object

The resource.

revision
string

The resource revision for optimistic concurrency.